# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define air = Character("Airick")
define stilly = Character("Stilly")

image airicksprite = "images/airick02.png"
image stillysprite = "images/stilly02.png"
image bg room = "images/truck.png"


# The game starts here.

label start:

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.
    
    play music "countrydubstep.ogg"

    scene bg room

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show airicksprite
    
    "This is Airick. He's an alien, but he moved to Earth because he's a big fan of anime."
    
    "Airick makes a living as a trucker. He enjoys getting to travel, as well as visit all the places he's seen in his favorite anime series, Sole Eater."

    air "Today, I bought a new car. It is a smart car!"
    
    "Suddenly, Magical Girl Stilly appears!"
    
    show stillysprite at left
    show airicksprite at right
    
    "Stilly is super strong and she likes to steal cars."
    
    stilly "I'll stealllly your car!"
    
    "Oh no! Stilly uses magic on Airick."
    
    menu:
        "What should Airick do?"
        "Use his own Magic":
            "Airick turns into a magical girl!"
            "Stilly is an even MORE magical girl."
            stilly "I'll break your spirit!"
            air "But I have sarcasm!"
            "The sarcasm is super effective! It's the strongest magic of all."
            "Airick drives off in his smart car. It plays Sole Eater for him while he drives."
            "Car end?"
        "Chug Milk":
            "Airick chugs milk to fight off the magic." 
            "Except Airick is lactose intolerant!"
            stilly "Did you seriously just drink that entire thing of milk?"
            air "I have made a terrible mistake."
            stilly "I'm still taking your car."
            "Car end."

    # This ends the game.

    return
